<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping
  PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="false" default-cascade="all-delete-orphan" default-lazy="false">
   <class discriminator-value="[magoffin.matt.ieat.domain.User]"
          name="magoffin.matt.ieat.domain.User"
          table="users">
      <cache usage="read-write"/>
      <id access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
          name="UserId"
          type="org.hibernate.type.IntegerType"
          unsaved-value="null">
         <column name="userid" not-null="true"/>
         <generator class="native">
            <param name="sequence">hibernate_integer_seq</param>
         </generator>
      </id>
      <discriminator formula="'magoffin.matt.ieat.domain.User'" type="org.hibernate.type.StringType"/>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="Email">
         <column length="128" name="email" not-null="true"/>
         <type name="org.hibernate.type.StringType"/>
      </property>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="Language">
         <column length="3" name="language" not-null="true"/>
         <type name="org.hibernate.type.StringType"/>
      </property>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="CreatedDate">
         <column name="createddate" not-null="true"/>
         <type name="org.jvnet.hyperjaxb2.runtime.hibernate.type.CalendarType"/>
      </property>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="LastLoginDate">
         <column name="lastlogindate"/>
         <type name="org.jvnet.hyperjaxb2.runtime.hibernate.type.CalendarType"/>
      </property>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="Country">
         <column length="3" name="country" not-null="true"/>
         <type name="org.hibernate.type.StringType"/>
      </property>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="Login">
         <column length="32" name="login" not-null="true"/>
         <type name="org.hibernate.type.StringType"/>
      </property>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="AccessLevel">
         <column name="accesslevel"/>
         <type name="org.hibernate.type.IntegerType"/>
      </property>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="Name">
         <column length="64" name="user_name" not-null="true"/>
         <type name="org.hibernate.type.StringType"/>
      </property>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="Password">
         <column length="64" name="password" not-null="true"/>
         <type name="org.hibernate.type.StringType"/>
      </property>
      <subclass discriminator-value="magoffin.matt.ieat.domain.User"
                name="magoffin.matt.ieat.domain.impl.UserImpl"/>
   </class>
</hibernate-mapping>